|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
FAULT_OBJ_T Struct Reference
Fault Monitor » Generic Fault Driver

The Fault object data structure contains a list of elements/variables that are used to detect/check a fault. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/sources/fault/fault_common.h>`

Collaboration diagram for FAULT_OBJ_T:

## Data Fields
int16_t | Val1_Threshold
| Fault threshold limit: Range of -32768 to 32767.
int16_t | Val1_Hysteresis
| Fault hysteresis limit. If hysteresis is not needed, fltThreshold = fltHysLimit.
int16_t | Val2_Threshold
| Fault threshold limit: Range of -32768 to 32767.
int16_t | Val2_Hysteresis
| Fault hysteresis limit. If hysteresis is not needed, fltThreshold = fltHysLimit.
uint16_t | CounterSet
| Number of consecutive fault events before fault becomes active.
uint32_t | CounterReset
| Number of consecutive events when input outside hysteresis limit in order to remove fault, set to 0 to disable Hys.
uint16_t | FaultCounter
| Internal counter for activating/removing fault.
uint16_t | FaultCode
| Code that can be used to display fault (1st fault occurred) to global variable.
uint8_t | FaultActive
| Set/Cleared inside flt check loop
uint8_t | FaultLatch
| Flag indicating if FAULT has been tripped.

## Detailed Description

These fault object data structure variables are initialized in the power controller initialization source file. The address of this structure variable is passed as an argument into the fault handler functions which are called by the power controller system state machine. These fault handler functions are defined in the fault_common.c file.

Definition at line 22 of file fault_common.h.

## Field Documentation

## ◆ CounterReset

uint32_t CounterReset

Definition at line 29 of file fault_common.h.

## ◆ CounterSet

uint16_t CounterSet

Definition at line 28 of file fault_common.h.

## ◆ FaultActive

uint8_t FaultActive

Definition at line 32 of file fault_common.h.

## ◆ FaultCode

uint16_t FaultCode

Definition at line 31 of file fault_common.h.

## ◆ FaultCounter

uint16_t FaultCounter

Definition at line 30 of file fault_common.h.

## ◆ FaultLatch

uint8_t FaultLatch

Definition at line 33 of file fault_common.h.

## ◆ Val1_Hysteresis

int16_t Val1_Hysteresis

Definition at line 25 of file fault_common.h.

## ◆ Val1_Threshold

int16_t Val1_Threshold

Definition at line 24 of file fault_common.h.

## ◆ Val2_Hysteresis

int16_t Val2_Hysteresis

Definition at line 27 of file fault_common.h.

## ◆ Val2_Threshold

int16_t Val2_Threshold

Definition at line 26 of file fault_common.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/sources/fault/fault_common.h